#
# spec file for package nant
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nant
Version:        0.92+git20130131
Release:        lp152.3.61
BuildArch:      noarch
Url:            http://nant.sourceforge.net
# git clone //github.com/letiemble/nant.git
Source0:        %{name}.tar.xz
Summary:        Ant for .NET
License:        GPL-2.0+ and LGPL-2.1+
Group:          Development/Tools/Building
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  dos2unix
BuildRequires:  mono-data
BuildRequires:  mono-devel
%define _use_internal_dependency_generator 0
# ignore some bundled dlls
%define __find_provides env sh -c 'filelist=($(grep -v log4net.dll | grep -v scvs.exe | grep -v nunit | grep -v NDoc | grep -v neutral)) && { printf "%s\\n" "${filelist[@]}" | /usr/lib/rpm/find-provides && printf "%s\\n" "${filelist[@]}" | /usr/bin/mono-find-provides ; } | sort | uniq'
%define __find_requires env sh -c 'filelist=($(cat)) && { printf "%s\\n" "${filelist[@]}" |  /usr/bin/mono-find-requires ; } | sort | uniq'

%description
NAnt is a free .NET build tool. In theory it is kind of like make
without make's wrinkles. In practice it's a lot like Ant.

%package devel
Summary:        NAnt pkgconfig files
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       nant

%description devel
This package contains the pkgconfig files for NAnt.

%prep
%setup -q -n %{name}

%build
make TARGET=mono-4.5 MCS="mcs -sdk:4"

%install
make install prefix=%{_prefix} DESTDIR=%{buildroot} TARGET=mono-4.5 MCS="mcs -sdk:4" docdir=%{_docdir}
mkdir -p %{buildroot}%{_datadir}
mv %{buildroot}%{_prefix}/lib/pkgconfig %{buildroot}%{_datadir}/

chmod -x %{buildroot}%{_datadir}/NAnt/bin/lib/common/2.0/nunit-console.exe.config
dos2unix %{buildroot}%{_datadir}/NAnt/bin/lib/common/2.0/nunit-console.exe.config
dos2unix -r %{buildroot}%{_datadir}/pkgconfig/%{name}.pc

%files
%defattr(-, root, root)
%doc COPYING.txt
%{_bindir}/%{name}
%{_datadir}/NAnt
%doc %{_docdir}/NAnt/

%files devel
%defattr(-, root, root)
%{_datadir}/pkgconfig/%{name}.pc

%changelog
* Mon Feb 12 2018 markus.beth@web.de
- Fix rpmlint problem (BOM in nant.pc) (bsc#1078839)
* Tue Nov 24 2015 mailaender@opensuse.org
- gmcs was replaced in Mono 2.11 with a unified mcs
* Sun Oct  4 2015 bwiedemann@suse.com
- recompress .bz2 to .xz to match filename
* Thu Nov 13 2014 dimstar@opensuse.org
- Install License files:
  + Install COPYING.txt.
  + The file doc/license.html is installed as part of the regular
    make install and is located in
    /usr/share/doc/packages/NAnt/license.html
  + The file web/license.html (stating this being a GPL-2.0+ work),
    is not being installed, as we do not package the website.
* Thu Nov  6 2014 mailaender@opensuse.org
- Fix rpmlint problems
- Remove redundant %%clean
* Thu Nov  6 2014 dimstar@opensuse.org
- Back in 2011, we disabled the use of the internal scanner, but
  for some strange reason passed the file list to the internal
  scanner. That one is having some revival but does not (yet) do
  what we need. So really strip off the internal mono-dep scanner
  and rely on what is installed with mono-devel.
* Thu Jan 31 2013 dimstar@opensuse.org
- Filter out internal libs from the provides (e.g log4net.dll).
* Thu Jan 31 2013 dimstar@opensuse.org
- Update to git snapshot, allowing to build for Mono 4.5 target.
- Pass TARGET=mono-4.5 to make
- Pass MCS="gmcs -sdk:4" to make, in order to fully use .Net 4
  capabilities.
* Sun Aug 14 2011 ro@suse.de
- do not use rpm internal dependency generator for now
  (outdated for mono packages)
* Fri Nov  5 2010 ajorgensen@novell.com
- Update to 0.90
  * http://nant.sourceforge.net/release/0.90/releasenotes.html
* Tue Aug 12 2008 ajorgensen@novell.com
- Patch to allow us to bootstrap nant on mono-2.0
* Mon Dec 10 2007 wberrier@suse.de
- Update to 0.86_beta1
  - modify filelist munging to work for this release
  - remove patches: nant-1733671_threading_fix.patch
    nant-remove_overridden_obsolete.patch
  - new patch: nant-useruntime_fix.patch
-Ignore some bundled assemblies
* Mon Aug  6 2007 wberrier@suse.de
- Use upstream threading fix instead of workaround
  (remove nant-remove_pkgconfig_garbage.patch and replace with
  nant-1733671_threading_fix.patch)  This will fix other issues
  with nant as well.
* Wed Apr 11 2007 wberrier@novell.com
- Add mono dep/req for older distros
* Fri Mar 30 2007 wberrier@suse.de
- Truely make noarch (don't use prefix var from runtime,
  because it could be '/usr/lib/pkgconfig/../..', and if this
  doesn't exists on x86_64, the nant script will fail.
- Use 'exec' in nant wrapper
* Tue Mar  6 2007 wberrier@suse.de
- nant-remove_overridden_obsolete.patch: mcs >= 1.2.3 doesn't allow
  obsolete overrides for non-obsolete methods.  future versions of
  csc will warn about this.
* Tue Nov 21 2006 wberrier@suse.de
- nant-remove_pkgconfig_garbage.patch: fix random builds failures
  of nant and boo (mostly on 64bit archs).  Workaround for now...
* Fri Oct 27 2006 dmueller@suse.de
- don't build as root
* Wed Oct 25 2006 wberrier@suse.de
- Updated to 0.85, fixed some inconsistent build errors on
  x86_64 and ia64 about invalid path chars on path::combine
  - had to append .0 to version to make sure rpm upgrades work
* Tue Aug  1 2006 wberrier@suse.de
- Initial package: 0.85-rc4
